function getLogger (logger, level) {    
    var logError, logWarning, logInfo, logDebug;
    if (level === 'ERROR') {
        logError = true;
        logWarning = false;
        logInfo = false;
        logDebug = false;
    } else if (level === 'WARNING') {
        logError = true;
        logWarning = true;
        logInfo = false;
        logDebug = false;
    } else if (level === 'INFO') {
        logError = true;
        logWarning = true;
        logInfo = true;
        logDebug = false;
    } else if (level === 'DEBUG') {
        logError = true;
        logWarning = true;
        logInfo = true;
        logDebug = true;
    } else {
        logError = true;
        logWarning = false;
        logInfo = false;
        logDebug = false;
    }

    var loggerInstance = {
        error: function (msg) {
            if (logError) {
                logger('ERROR: ' + msg);
            }
        },
        warning: function (msg) {
            if (logWarning) {
                logger('WARNING: ' + msg);
            }
        },
        info: function (msg) {
            if (logInfo) {
                logger('INFO: ' + msg);
            }
        },
        debug: function (msg) {
            if (logDebug) {
                logger('DEBUG: ' + msg);
            }
        }
    };
    return loggerInstance;
}
var consoleLogger = function (msg) {
    //console.log(msg);
    //window.errors.push(msg);    
};
var alertLogger = function (msg) {
    //alert(msg);
};

var debugLogger = getLogger(consoleLogger, 'DEBUG');

export {debugLogger, getLogger, consoleLogger, alertLogger};
