/**
 * @param locale
 * @returns {string}
 */
function getBaseUrlForLocale(locale) {
    var baseUrl = window.location.protocol + '//' + window.location.host + '/content/webshop30_';
    if (locale && locale.toLowerCase() === 'at'){
        baseUrl = baseUrl + 'at/';
    } else {
        baseUrl = baseUrl + 'de/';
    }
    return baseUrl;
}

/**
 * @returns {string}
 */
function getBaseUrlWithoutCountryPath() {
    var baseUrl = window.location.protocol + '//' + window.location.host;
    return baseUrl;
}

export {getBaseUrlForLocale, getBaseUrlWithoutCountryPath};